evaluations
Create evaluations import
Requires scopes: runs:write
POST
/
api
/
evaluations
/
{id}
/
runs
/
import
Create evaluations import
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/runs/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"results": [
{
"status": "failed",
"testCaseId": 123,
"output": "<string>",
"input": "<string>",
"costUsd": 123,
"latencyMs": 123,
"assertionsJson": {},
"messages": [
{}
],
"toolCalls": [
{}
],
"behavior": "tool_use",
"taskType": "<string>"
}
],
"environment": "dev",
"ci": {
"provider": "unknown",
"actor": "<string>",
"branch": "<string>",
"repo": "<string>",
"sha": "<string>",
"pr": 123,
"runUrl": "<string>"
},
"importClientVersion": "<string>",
"trajectoryBaselines": [
{
"updatedAt": "<string>",
"sampleSize": 123,
"behavior": "tool_use",
"stepDistribution": {
"p50": 123,
"p75": 123,
"p90": 123
},
"toolCallDistribution": {
"p50": 123,
"p75": 123
},
"durationDistribution": {
"p50": 123,
"p75": 123
},
"commonToolSequences": [
[
"<string>"
]
],
"redundancyProfile": {
"mean": 123,
"p90": 123
},
"version": "<string>",
"model": "<string>",
"taskType": "<string>",
"parallelToolGroups": [
[
"<string>"
]
]
}
],
"checkReport": {}
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/runs/import"
payload = {
"results": [
{
"status": "failed",
"testCaseId": 123,
"output": "<string>",
"input": "<string>",
"costUsd": 123,
"latencyMs": 123,
"assertionsJson": {},
"messages": [{}],
"toolCalls": [{}],
"behavior": "tool_use",
"taskType": "<string>"
}
],
"environment": "dev",
"ci": {
"provider": "unknown",
"actor": "<string>",
"branch": "<string>",
"repo": "<string>",
"sha": "<string>",
"pr": 123,
"runUrl": "<string>"
},
"importClientVersion": "<string>",
"trajectoryBaselines": [
{
"updatedAt": "<string>",
"sampleSize": 123,
"behavior": "tool_use",
"stepDistribution": {
"p50": 123,
"p75": 123,
"p90": 123
},
"toolCallDistribution": {
"p50": 123,
"p75": 123
},
"durationDistribution": {
"p50": 123,
"p75": 123
},
"commonToolSequences": [["<string>"]],
"redundancyProfile": {
"mean": 123,
"p90": 123
},
"version": "<string>",
"model": "<string>",
"taskType": "<string>",
"parallelToolGroups": [["<string>"]]
}
],
"checkReport": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
results: [
{
status: 'failed',
testCaseId: 123,
output: '<string>',
input: '<string>',
costUsd: 123,
latencyMs: 123,
assertionsJson: {},
messages: [{}],
toolCalls: [{}],
behavior: 'tool_use',
taskType: '<string>'
}
],
environment: 'dev',
ci: {
provider: 'unknown',
actor: '<string>',
branch: '<string>',
repo: '<string>',
sha: '<string>',
pr: 123,
runUrl: '<string>'
},
importClientVersion: '<string>',
trajectoryBaselines: [
{
updatedAt: '<string>',
sampleSize: 123,
behavior: 'tool_use',
stepDistribution: {p50: 123, p75: 123, p90: 123},
toolCallDistribution: {p50: 123, p75: 123},
durationDistribution: {p50: 123, p75: 123},
commonToolSequences: [['<string>']],
redundancyProfile: {mean: 123, p90: 123},
version: '<string>',
model: '<string>',
taskType: '<string>',
parallelToolGroups: [['<string>']]
}
],
checkReport: {}
})
};
fetch('https://evalgate.com/api/evaluations/{id}/runs/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runId": 123,
"score": 123,
"flags": true,
"dashboardUrl": "<string>"
}{
"runId": 123,
"score": 123,
"flags": [
"<string>"
],
"dashboardUrl": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Makes retries safe by returning the original operation result.
Required string length:
1 - 255Path Parameters
Body
application/json
⌘I
Create evaluations import
